
Foreman - Feature #6756

expose vmware resource pools and folders through API

07/23/2014 01:39 PM - Greg Petras

Status: Closed   

Priority: Normal   

Assignee: Greg Petras   

Category: API   

Target version: 1.6.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1615

  

Description

Looks like the support is there in fog, so it should be pretty easy to get resource pools and folders exposed through the API.

Related issues:

Related to Foreman - Bug #13245: Apipie json returns duplicated methods Closed 01/15/2016

Associated revisions

Revision fe1a2733 - 08/15/2014 08:12 AM - Greg Petras

Fixes #6756 - exposes vmware resource pools and folders through the API

Revision 50366801 - 08/27/2014 08:02 AM - Greg Petras

Fixes #6756 - exposes vmware resource pools and folders through the API

(cherry picked from commit fe1a27333c7a3dd32f6fd727754516ff7487beb8)

History

#1 - 07/23/2014 07:50 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1615 added

- Pull request deleted ()

#2 - 07/30/2014 06:51 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#3 - 08/15/2014 08:07 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#4 - 08/15/2014 09:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset fe1a27333c7a3dd32f6fd727754516ff7487beb8.

#5 - 08/27/2014 04:00 AM - Dominic Cleal

- translation missing: en.field_release changed from 21 to 10

#6 - 01/15/2016 10:57 AM - Dominic Cleal

- Related to Bug #13245: Apipie json returns duplicated methods added
